Subject: bug#23409: closed (Re: bug#23409: unable to load free firmware)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 11 Jan 2017 22:31:03 +0000

Your bug report

#23409: unable to load free firmware

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23409: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23409
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23409: unable to load free firmware
From: [email-masked] (Ludovic Courtès)
To: Eric Bavier <[email-masked]>
Cc: Quilro Ordonez <[email-masked]>, [email-masked], [email-masked]
Date: Wed, 11 Jan 2017 23:29:45 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Ludovic Courtès) skribis:

> Eric Bavier <[email-masked]> skribis:
>
>> On Sun, 01 May 2016 15:19:34 +0200
>> [email-masked] (Ludovic Courtès) wrote:
>>
>>> Quilro Ordonez <[email-masked]> skribis:
>>> 
>>> > I am trying to lo use Broadcom wireless device on GuixSD. It is
>>> > confirmed to work with free drivers and free firmware. It works
>>> > correctly in Trisquel too.
>>> >
>>> > dmesg gives the following messages. I have included only the relevant
>>> > parts:  
>>> 
>>> [...]
>>> 
>>> > [   20.591158] b43-phy0 ERROR: Firmware file "b43-open/ucode5.fw" not
>>> > found
>>> > [   21.313688] b43-phy0 ERROR: /*(DEBLOBBED)*/  
>>> 
>>> “DEBLOBBED” would suggest that Linux-libre’s deblobbing script viewed it
>>> as an opaque binary blob and thus patched it, which may be an issue
>>> here, no?
>>
>> Does deblobbing happen at runtime too?  I thought it was only during
>> build time.
>>
>>> 
>>> I assume you used the firmware packages that Leo copied.  Could you get
>>> its author to submit it?  :-)
>>
>> That would be me :)  But I don't have the hardware to test it out on,
>> and qemu doesn't offer emulation of the broadcomm cards.
>
> Eric, do you know if the firmware package you wrote got more testing?
> It’s been mentioned several times on IRC over time.

This was done in commit 52db41aff8771518f99eb1f9b63b814b568f7a4a back in
Nov. 2016.  Closing!

Ludo’.

Subject: unable to load free firmware
From: Quilro Ordonez <[email-masked]>
To: [email-masked]
Date: Sat, 30 Apr 2016 16:06:58 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello mashi (Mashi is the kichwa word for friend, partner, associate, 
camerade. Kichwa is the language spoken in the Andes mountain region 
along all the West of South America).

I am trying to lo use Broadcom wireless device on GuixSD. It is 
confirmed to work with free drivers and free firmware. It works 
correctly in Trisquel too.

dmesg gives the following messages. I have included only the relevant 
parts:

[   20.400251] b43-phy0: Broadcom 4311 WLAN found (core revision 10)
[   20.432041] b43-phy0: Found PHY: Analog 4, Type 2 (G), Revision 8
[   20.432058] b43-phy0: Found Radio: Manuf 0x17F, ID 0x2050, Revision 
2, Version 0
[   20.444116] Broadcom 43xx driver loaded [ Features: PNL ]
[   20.444306] ssb0:0: Missing Free firmware (non-Free firmware loading 
is disabled)
[   20.444308] Unable to load firmware
[   20.591119] b43 ssb0:0: Direct firmware load for /*(DEBLOBBED)*/ 
failed with error -2
[   20.591135] b43 ssb0:0: Direct firmware load for b43-open/ucode5.fw 
failed with error -2
[   20.591154] b43 ssb0:0: Direct firmware load for b43-open/ucode5.fw 
failed with error -2
[   20.591158] b43-phy0 ERROR: Firmware file "b43-open/ucode5.fw" not 
found
[   21.313688] b43-phy0 ERROR: /*(DEBLOBBED)*/

'lspci -vmmnn -d 14e4:' shows:
Slot:    03:00.0
Class:    Network controller [0280]
Vendor:    Broadcom Corporation [14e4]
Device:    BCM4311 802.11b/g WLAN [4311]
SVendor:    Hewlett-Packard Company [103c]
SDevice:    BCM4311 802.11b/g Wireless LAN Controller [1363]
Rev:    01

'lspci -nn -d 14e4:' shows
03:00.0 Network controller [0280]: Broadcom Corporation BCM4311 
802.11b/g WLAN [14e4:4311] (rev 01)

h-node.com establishes rev 01 of this card works with free software in
https://h-node.org/wifi/view/en/2/Broadcom-Corporation-BCM4311-802-11b-g-WLAN--rev-02-

Please suggest what I should try. Thank you very much.

Quiliro